{
  "_from": "sweetalert2",
  "_id": "sweetalert2@8.11.3",
  "_inBundle": false,
  "_integrity": "sha512-m+xHl4W/uoCUYvU7gyICyn6tGHXokFYbt6HOipbGNo03bURQzDj1EfAqlfKsozHx3zMWZVwDIFVmo296xTSM+w==",
  "_location": "/sweetalert2",
  "_phantomChildren": {},
  "_requested": {
    "type": "tag",
    "registry": true,
    "raw": "sweetalert2",
    "name": "sweetalert2",
    "escapedName": "sweetalert2",
    "rawSpec": "",
    "saveSpec": null,
    "fetchSpec": "latest"
  },
  "_requiredBy": [
    "#USER",
    "/"
  ],
  "_resolved": "https://registry.npmjs.org/sweetalert2/-/sweetalert2-8.11.3.tgz",
  "_shasum": "4c97acfd0ae47ec2f12ce43d7c59927791d65a90",
  "_spec": "sweetalert2",
  "_where": "E:\\xampp7.3\\htdocs\\berkat_construction",
  "author": {
    "name": "Limon Monte",
    "email": "limon.monte@gmail.com",
    "url": "https://limonte.github.io"
  },
  "bugs": {
    "url": "https://github.com/sweetalert2/sweetalert2/issues"
  },
  "bundleDependencies": false,
  "contributors": [
    {
      "name": "Matthew Francis Brunetti",
      "email": "zenflow87@gmail.com",
      "url": "https://github.com/zenflow"
    },
    {
      "name": "Morgan Touverey-Quilling",
      "email": "mtouverey@alembic-dev.com",
      "url": "https://github.com/toverux"
    },
    {
      "name": "Joseph Schultz",
      "url": "https://github.com/acupajoe"
    },
    {
      "name": "Sam Turrell",
      "email": "sam@samturrell.co.uk",
      "url": "https://github.com/samturrell"
    },
    {
      "name": "Johan Fagerberg",
      "url": "https://github.com/birjolaxew"
    },
    {
      "name": "Giuseppe Verni",
      "url": "https://github.com/gverni"
    }
  ],
  "deprecated": false,
  "description": "A beautiful, responsive, customizable and accessible (WAI-ARIA) replacement for JavaScript's popup boxes, supported fork of sweetalert",
  "devDependencies": {
    "@babel/core": "^7.2.2",
    "@babel/plugin-transform-object-assign": "^7.2.0",
    "@babel/preset-env": "^7.3.1",
    "@sweetalert2/execute": "^1.0.0",
    "babel-loader": "^8.0.4",
    "babel-plugin-array-includes": "^2.0.3",
    "browser-sync": "^2.26.3",
    "ci-info": "^2.0.0",
    "custom-event-polyfill": "^1.0.6",
    "eslint": "^5.12.1",
    "eslint-plugin-import": "^2.17.2",
    "gulp": "^4.0.0",
    "gulp-autoprefixer": "^6.0.0",
    "gulp-clean-css": "^4.0.0",
    "gulp-concat": "^2.6.1",
    "gulp-css2js": "^1.1.2",
    "gulp-eslint": "^5.0.0",
    "gulp-if": "^2.0.2",
    "gulp-noop": "^1.0.0",
    "gulp-rename": "^1.2.2",
    "gulp-rollup": "^2.16.2",
    "gulp-stylelint": "^9.0.0",
    "gulp-tslint": "^8.1.2",
    "gulp-typescript": "^5.0.0",
    "gulp-uglify": "^3.0.0",
    "jquery": "^3.3.1",
    "karma": "^4.0.0",
    "karma-chrome-launcher": "^2.2.0",
    "karma-coverage": "^1.1.2",
    "karma-firefox-launcher": "^1.1.0",
    "karma-ie-launcher": "^1.0.0",
    "karma-qunit": "^3.0.0",
    "karma-sauce-launcher": "^2.0.2",
    "karma-sourcemap-loader": "^0.3.7",
    "karma-spec-reporter": "^0.0.32",
    "karma-webpack": "^4.0.0-rc.5",
    "merge2": "^1.2.3",
    "promise-polyfill": "^8.1.0",
    "qunit": "^2.8.0",
    "replace-in-file": "^4.0.0",
    "rollup": "^1.1.2",
    "rollup-plugin-babel": "^4.3.2",
    "rollup-plugin-json": "^4.0.0",
    "sass": "^1.19.0",
    "sinon": "^7.2.3",
    "stylelint": "^10.0.0",
    "stylelint-config-standard": "^18.2.0",
    "stylelint-order": "^3.0.0",
    "stylelint-scss": "^3.5.4",
    "tslint": "^5.12.1",
    "typescript": "^3.2.4",
    "webpack": "^4.29.0"
  },
  "engines": {
    "node": ">=0.10.0"
  },
  "files": [
    "bin",
    "dist",
    "src",
    "sweetalert2.d.ts"
  ],
  "homepage": "https://sweetalert2.github.io/",
  "keywords": [
    "sweetalert",
    "sweetalert2",
    "alert",
    "modal",
    "popup",
    "prompt",
    "confirm",
    "toast",
    "accessible"
  ],
  "license": "MIT",
  "main": "dist/sweetalert2.all.js",
  "name": "sweetalert2",
  "repository": {
    "type": "git",
    "url": "git+https://github.com/sweetalert2/sweetalert2.git"
  },
  "scripts": {
    "build": "gulp build",
    "check": "npm run check:lint && npm run check:require-in-node && npm run check:qunit && npm run check:qunit:minified && npm run check:ts",
    "check:jest": "jest --ci",
    "check:jsdelivr": "curl --location 'https://cdn.jsdelivr.net/npm/sweetalert2' 2>&1 | grep --quiet 'window.Swal'",
    "check:lint": "gulp lint",
    "check:qunit": "karma start karma.conf.js --single-run",
    "check:qunit:minified": "karma start karma.conf.js --single-run --minified",
    "check:qunit:minified:sauce": "karma start karma.conf.js --single-run --minified --sauce",
    "check:qunit:sauce": "karma start karma.conf.js --single-run --sauce",
    "check:require-in-node": "node test/require-in-node",
    "check:sauce": "npm run check:qunit:sauce && npm run check:qunit:minified:sauce",
    "check:third-party": "npm run check:unpkg && npm run check:jsdelivr && npm run check:wappalyzer",
    "check:ts": "tsc --lib dom,es6 sweetalert2.d.ts",
    "check:unpkg": "curl --location 'https://unpkg.com/sweetalert2' 2>&1 | grep --quiet 'window.Swal'",
    "check:wappalyzer": "curl 'https://api.wappalyzer.com/lookup-basic/v1/?url=https%3A%2F%2Fsweetalert2.github.io' 2>&1 | grep --quiet 'SweetAlert2'",
    "fix:lint": "eslint --fix .",
    "postinstall": "node bin/postinstall.js",
    "start": "gulp develop --continue-on-error --skip-minification --skip-standalone",
    "test": "npm run build && npm run check"
  },
  "types": "sweetalert2.d.ts",
  "version": "8.11.3"
}
